from setuptools import setup


SHORT_DESCRIPTION = 'Preprocessor template for `foliant init` command.'

try:
    with open('README.md', encoding='utf8') as readme:
        LONG_DESCRIPTION = readme.read()

except FileNotFoundError:
    LONG_DESCRIPTION = SHORT_DESCRIPTION

setup(
    name='foliantcontrib.templates.preprocessor',
    description=SHORT_DESCRIPTION,
    long_description=LONG_DESCRIPTION,
    long_description_content_type='text/markdown',
    version='1.0.2',
    author='Konstantin Molchanov',
    author_email='moigagoo@live.com',
    url='https://github.com/foliant-docs/foliantcontrib.templates.preprocessor',
    packages=['foliant.cli.init.templates'],
    package_data={'foliant.cli.init.templates': ['preprocessor/*', 'preprocessor/foliant/preprocessors/*']},
    license='MIT',
    platforms='any',
    install_requires=[
        'foliantcontrib.init>=1.0.7'
    ],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Documentation",
        "Topic :: Utilities",
    ]
)
